Bug 1419238 - Collect additional pulp configurations left out by katello-debug
Summary: Collect additional pulp configurations left out by katello-debug
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Foreman Debug
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact:
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 03:59 UTC by Craig Donnelly
Modified: 2019-04-01 20:27 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 16:51:07 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github Katello katello-packaging pull 371 None None None 2017-02-06 04:55 UTC
Foreman Issue Tracker 18396 None None None 2017-02-04 04:12 UTC

Description Craig Donnelly 2017-02-04 03:59:16 UTC
Description of problem:
Currently the katello-debug drop config for foreman-debug does not collect the pulp configurations inside /etc/default.

There are several configurations in here. Most are unlikely to be touched by end users, but at minimum - we should collect pulp_workers so that we can debug based on changes to PULP_CONCURRENCY and PULP_MAX_TASKS_PER_CHILD.

Version-Release number of selected component (if applicable): 6.2.7 / katello-debug-3.0.0-15

Steps to Reproduce:
1. Generate `foreman-debug`

Actual results:
/etc/default/pulp* items are not collected.

Expected results:
Should collect for informational/debugging purposes.

Comment 2 pm-sat@redhat.com 2017-02-12 09:16:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18396 has been resolved.

Comment 4 Daniel Lobato Garcia 2017-08-09 11:10:16 UTC
Verified.

Tested on:

foreman-debug-1.15.2-1.el7sat.noarch
satellite-6.3.0-16.0.beta.el7sat.noarch


[root@hp-ml370g6-01 foreman-debug-gw3Zd]# ls etc/default/pulp_*
etc/default/pulp_celerybeat  etc/default/pulp_resource_manager  etc/default/pulp_streamer  etc/default/pulp_workers
[root@hp-ml370g6-01 foreman-debug-gw3Zd]# ls etc/pulp*
repo_auth.conf  server  server.conf  streamer.conf
[root@hp-ml370g6-01 foreman-debug-gw3Zd]# 

As you can see, the output contains all of /etc/pulp and /etc/default/pulp_*

Comment 5 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.